<?php


require('startinclude.php');

$fecha=@$_GET['fecha'];
?>
<form name="form1" method='GET'>
    <p>fecha (como se guarda en sql) <input type="text" name="fecha" value=<? echo $fecha ?>></p>
    <p><input type="submit" name="formbutton1"></p>
</form>
<p>&nbsp;</p>
<?php

require_once "util_db.php";

function tablafila($e1,$e2,$e3=" ") {
	echo "<tr><td>";
	echo $e1;
	echo "</td><td>$e2</td>";
	echo "</td><td>$e3</td>";
	echo "</tr>";

}

$inicio_epoch=mktime("0","0","0","1","1","2005",0);
$inicio_epoch2=mktime("0","0","0","1","1","2005");

//date_default_timezone_set("America/Santiago");
echo "<table width=80%>";
tablafila("TimeZone",date_default_timezone_get(),"America/Santiago (modificar php.ini)");

tablafila("Epoch Inicio",date('l dS \of F Y h:i:s A',$inicio_epoch),"Debe ser Saturday 01st of January 2005 01:00:00 AM");
tablafila("Epoch Inicio (Obsoleto)",date('l dS \of F Y h:i:s A',$inicio_epoch2),"Usualmente es diferente al anterior");

tablafila("Calculo",date('l dS \of F Y h:i:s A',$inicio_epoch+($fecha*60)),"Revisar fecha");
tablafila("Calculo",date('d:m:Y',$inicio_epoch+($fecha*60)),"Revisar fecha");



//  fecha_php=inicio_epoch+(fecha_sql*60)
//  (fecha_php-inicio_epoch)/60=fecha_sql


$hoy=mktime(date("G") , date("i") , date("s") , date("m")  , date("d"), date("Y"),0);


tablafila("Fecha Actual",date('l dS \of F Y h:i:s A',$hoy),"Debe ser hoy");
tablafila("Fecha Actual (alt)",date('l dS \of F Y h:i:s A',mktime()),"Debe ser hoy e igual al anterior");
tablafila("Epoch Actual (como se guarda en sql)",epochnow(),"Al ingresar este numero al calculo deberia dar lo mismo");






leer_ultima_fecha($ultima_fecha);
$uf2=date('l dS \of F Y h:i:s A',$inicio_epoch+($ultima_fecha*60));
tablafila("Epoch Ultima Lectura",$ultima_fecha,"El Epoch de la ultima lectura del motor");
tablafila("Fecha Ultima Lectura :",$uf2,"La fecha de la ultima lectura del motor");

$dif=$ultima_fecha-epochnow();
tablafila("Diferencia :",$dif,"La fecha de la ultima lectura del motor");

/*$f1=mktime("0","0","0","1","1","2005",0);
$f2=mktime(21 , 51 , 07 , 05 , 22 , 2007,0);

//21 , 47 , 19 , 05 , 22 , 2007

echo date("G")." , ".date("i")." , ".date("s") ." , ". date("m")  ." , ". date("d")." , ". date("Y");

tablafila("Resta Epoch",($f2-$f1));
tablafila("Inicio",($f2-$inicio_epoch));
tablafila("Fin",($f1-$inicio_epoch));
*/


echo "</table>";

echo "<br><br><br><br>";

phpinfo();
?>